$blue-text: #20276f;
$purple: #6b12a9;
$white: #fff;
$black: #000;
$yellow: #ffb400;
$certificate-width: 84.5em;
$certificate-height: 50.7em;
$certificate-text-font-weight: 800;
$certificate-text-font-weight-normal: 400;
$certificate-text-wrapper-padding-left: 36.7em;
$certificate-text-about-text: 7em;
$certificate-text-title-font-size: 3.6em;
$certificate-text-title-padding-top: 1.2em;
$certificate-text-name-font-weight: 900;
$certificate-text-titlen-font-size: 2.4em;
$certificate-text-margin-bottom-common-second: 1em;
$certificate-text-padding-right: 5em;
$certificate-text-font-size-common: 1.4em;
$certificate-text-margin-bottom: 4.2em;
$certificate-text-line-height-common: 1.22em;
$certificate-text-line-height-common-second: 1.36em;
$certificate-text-line-height-common-third: 1.5em;
$certificate-text-margin-bottom-common: 0.1em;
$certificate-signature: 1px solid $purple;
$certificate-signature-width: 34.4rem;
$certificate-signature-margin-bottom: 1.6em;
$certificate-text-date-font-size: 1.054em;
$certificate-text-place-font-size: 1.2em;
$certificate-text-place-margin-bottom: 3em;

.CertificateWrapper {
  width: $certificate-width;
  height: $certificate-height;
  background-color: $white;
  background-image: url('../../assets/images/certificate.png');
  background-repeat: no-repeat;
  background-size: contain;
  margin: auto;
}

.certificateTextWrapper {
  padding-left: $certificate-text-wrapper-padding-left;
  height: 100%;

  .title {
    line-height: $certificate-text-line-height-common-second;
    font-size: $certificate-text-title-font-size;
    color: $blue-text;
    padding-top: $certificate-text-title-padding-top;
    margin-bottom: $certificate-text-margin-bottom-common;
    font-weight: $certificate-text-font-weight;
    user-select: none;
  }
  .titleEn {
    line-height: $certificate-text-line-height-common;
    font-size: $certificate-text-titlen-font-size;
    color: $blue-text;
    margin-bottom: 1.2rem;
    font-weight: $certificate-text-font-weight;
    user-select: none;
  }
  .presented {
    line-height: $certificate-text-line-height-common;
    font-size: $certificate-text-font-size-common;
    color: $black;
    margin-bottom: $certificate-text-margin-bottom-common;
    font-weight: $certificate-text-font-weight-normal;
    user-select: none;
  }
  .name {
    line-height: $certificate-text-line-height-common-second;
    font-size: $certificate-text-title-font-size;
    color: $yellow;
    margin-bottom: $certificate-text-margin-bottom-common-second;
    font-weight: $certificate-text-name-font-weight;
    user-select: none;
  }

  .aboutText {
    margin-right: $certificate-text-about-text;
    .certificationInputs {
      width: 31em;
      font-size: 14px;
      border: none;
    }
    .about {
      line-height: $certificate-text-line-height-common-third;
      font-size: $certificate-text-font-size-common;
      color: $black;
      margin-bottom: 1.1em;
      font-weight: $certificate-text-font-weight-normal;
    }
    .aboutEn {
      line-height: $certificate-text-line-height-common-third;
      font-size: $certificate-text-font-size-common;
      color: $black;
      margin-bottom: 1rem;
      font-weight: $certificate-text-font-weight-normal;
      padding-right: 4em;
    }
  }

  .signatureWrapper {
    user-select: none;
    .signature {
      border-bottom: $certificate-signature;
      width: 36.4em;
      margin-bottom: $certificate-signature-margin-bottom;
    }
    .date {
      line-height: $certificate-text-line-height-common-second;
      font-size: $certificate-text-date-font-size;
      margin-bottom: 0.5em;
      font-weight: $certificate-text-font-weight-normal;
      color: $black;
    }
    .place {
      line-height: $certificate-text-line-height-common-second;
      font-size: $certificate-text-place-font-size;
      margin-bottom: $certificate-text-place-margin-bottom;
      font-weight: $certificate-text-font-weight-normal;
      color: $black;
    }
  }
  .certificationMedal {
    position: relative;
    bottom: 7.5rem;
    margin-left: $certificate-signature-width;
    margin-right: 0.4rem;
    width: 9.9rem;
    height: 9.9rem;
  }
}

.buttonWrapper {
  width: $certificate-width;
  margin: auto;
}
.nextButton {
  button {
    color: $yellow;
    background-color: transparent !important;
    border: 2px solid $yellow;
    transition: 0.2s;

    &:hover {
      color: $white;
      transition: 0.2s;
      border: 2px solid $yellow;
      background-color: $yellow !important;
    }
  }
}

.ButtonWrapper {
  width: $certificate-width;
  display: flex;
  justify-content: flex-end;
  margin: auto;
  margin-top: 2rem;
}

.Certificate {
  font-size: 10px;
}
